TAAS - Feature #230

Supplier Statement
07/09/2023 03:47 PM - Anil KV

Status: Reopen Bugs Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Augustin Jose % Done: 50%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Supplier Statement

Description

Coding Supplier Statement

History

#1 - 08/18/2023 10:31 AM - Anil KV

Solutions:-

1) GUI Changes
Main Ledger* - Not mandatory - Check ledger stmt

2)Check and Discus with Athul P

-#224 (Customer Document Wise SOA -> Remove SUM and grouping part in data sqgl)

—#225 Customer Item Wise SOA
—#226 Customer Service Wise SOA

3) Summary Tab Items
*Opening Balance
*Debit

*Credit

*Closing Balance

*Not Approved Debit
*Not Approved Credit
*After To Date Debit
*After To Date Credit
*Projected Balance

#2 - 08/18/2023 12:49 PM - Anil KV
- Status changed from New to Open
- Assignee changed from travvise Admin to Amal Siby

- % Done changed from 0 to 10

#3 - 09/03/2023 04:50 PM - Amal Siby
- Status changed from Open to Coding Started
- % Done changed from 10 to 40

#4 - 09/14/2023 11:37 AM - Amal Siby
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

e On Hold

Filtering the Check Boxes Show Matched Net Diffrence After OB &

Show Opening Balance.
#5 - 09/14/2023 04:50 PM - Seema Mathew
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Seema Mathew

ISSUE FOUNDED-

1.PROJECT BALANCE SHOULD BE BOLD
2. DEBIT CREDIT AMOUNT SHOULD BE RIGHT SIDE

#6 - 10/17/2023 02:58 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

reported Bug Fixed.

#7 - 10/28/2023 03:11 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.DONT SHOW SL NO. IN PRINT
#8 - 10/28/2023 06:09 PM - Amal Siby

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

Bug Fixed.

#9 - 11/02/2023 05:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.NOT SHOWING DATAS OF DOCUMENTS THAT ADDED ON CURRENT DATE

#10 - 11/02/2023 06:06 PM - unnikannan S

unnikannan S wrote in #note-9:

ISSUE FOUNDED

1.NOT SHOWING DATAS OF DOCUMENTS THAT ADDED ON CURRENT DATE

2.STATUS IS MANDATORY
3.CHANGE AIR TO AIRLINE IN DETAILS COLUMN

4.SHOW AIRLINE NAME IN LIST IN CASE OF (SALE/REFUND/ADM/ACM)
5.SHOW SECTOR DETAILS IN CASE OF SALE AND REFUND

#11 - 12/27/2023 06:25 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#12 - 12/29/2023 11:32 AM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

05/03/2025

2/7



ISSUE FOUNDED

Fixed 1.MISSING PRECISION VALUE IN DETAILS COLUMN

Fixed 2.MISSING DOC NO FROM ADM/ACM

Fixed 3.REMOVE TIME FROM DATE FIELD IN PRINT

Fixed 4.SHOW DATAS AS PER CHOOSEN FILTER OPTION (XO NO)
5.ERROR WHILE CHANGING STATUS OPTIONS

Fixed 6.UNCLEARED & PAID CHEQUE NO DATAS

#13 - 12/29/2023 07:23 PM - Amal Siby
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#14 - 01/10/2024 03:10 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

#15 - 01/10/2024 03:44 PM - unnikannan S
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#16 - 02/05/2024 03:24 PM - unnikannan S
TESTING DONE

#17 - 02/05/2024 03:27 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.SHOW DETAILS OF GIVEN AMOUNT THROUGH AP SHARING

2.DONT ALLOW TO CLEAR BOTH MATCHED/OUTSTANDING CHECK BOXES AND SHOW DATA

3.ERROR WHILE CHANGING TRANSACTION DATE/TO MATCHED DATE FROM ADMIN SETTINGS (42601: syntax error at or near "GROUP")
4.CLEAR DEFAULT 0 FROM BRANCH,DEPARTMENT MULTY SELECT FIELD

Ul CHANGES

Include Act as Mainledgers in Mainledger Multiselectbox
- Own

- Act as Customer

- Act as Supplier

- Act as Comn Agent

#18 - 02/05/2024 07:13 PM - Anil KV
- Assignee changed from Amal Siby to Athul P

#19 - 02/14/2024 06:48 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#20 - 02/15/2024 03:04 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.CLEAR DEFAULT VALUE 0 SHOWING IN BRANCH,DEPARTMENT MULTY SELECT BOX
(IN CASE NOT CHOOSING A DEFAULT BRANCH,DEPARTMENT)

#21 - 02/15/2024 05:35 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

05/03/2025 3/7



#22 - 02/19/2024 10:57 AM - unnikannan S
TESTING DONE

#23 - 02/23/2024 02:06 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1.DONT SHOW Matched Net Difference After OB IN UNTICK CASE
#24 - 02/24/2024 12:28 PM - Athul P

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#25 - 02/26/2024 10:23 AM - unnikannan S
TESTING DONE

#26 - 03/04/2024 01:11 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.SHOW PROJECTED BALANCE AND AMOUNT AS BOLD IN SUMMARY LIST

#27 - 03/04/2024 03:04 PM - Athul P
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#28 - 03/05/2024 09:51 AM - unnikannan S
TESTING DONE

#29 - 09/25/2024 12:37 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90

#30 - 10/02/2024 11:03 AM - Anonymous

- Assignee changed from Athul P to Augustin Jose

#31 - 11/29/2024 06:11 PM - Arathy PS
- Status changed from Testing Done to Reopen Bugs

- % Done changed from 90 to 50

ISSUE FOUND

1. Not showing 'No results found' message on selecting currency which was not used for transaction.

2. Not showing voucher number for the vocher number for sale and cash sale documents.

#32 - 12/05/2024 09:53 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#33 - 12/11/2024 11:44 PM - unnikannan S

- File clipboard-202412112344-ezr3r.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50
#34 - 12/14/2024 12:14 PM - Theja Ponon
- File clipboard-202412141214-nvgxs.png added

ISSUE FOUND

Mo Results Found. %
: i Reset
Transaction Date* 4/12/2024 4/12/2024 Branch™ a Aa - Matched Outstanding

) 3 New
Supplier* | spgz August Currency” | Basel(QAR) ~  Consider Matching Done After To Date*

o

Summary | Details

Y a B & m

# | Item System Details
Debit Credit Balance Debit Credit Balance
1 | Opening Balance 100.00 1€000.00 -15800.00 100,00 1€200.00 -15900.00
2 | Matched/Outstanding Net Diffrence Adjusted 0.00 0.00 -15800.00 0.00 0.00 -15900.00
3 | Current Balance 0.00 0.00 -15900.00 0.00 0.00 -15900.00
Holding Report 4 After To Date Amount 0.00 0.00 -15900.00 0.00 0.00 -15900.00
5 | Mot Approved Document Amount 0.00 0.00 -15%00.00 0.00 .00 -13900.00
it Report
& Mot Approved Posting Only Amount{Active Documents 0.00 0.00 -15900.00 0.00 0.00 -15900.00
r Card Payment
7 | Expected Posting{Paid Cheque Control Account to Bank 0.00 0.0 -15900.00 000 0.00 -13900.00
N &  Projected Balance 100.00 16000.00 -15900.00 0.00 0.00 -15900.00
ding Customer
9 | Uncleared Paid Chegue 0.00 0.00 -15500.00 0.00 0.00 -15900.00

#35 - 12/27/2024 09:55 AM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#36 - 12/30/2024 10:18 AM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#37 - 02/14/2025 03:31 PM - Arathy PS
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50

Issue found

1. Add redirection to document no:

#38 - 02/17/2025 02:21 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#39 - 02/25/2025 06:22 PM - Theja Ponon
- File clipboard-202502251822-4yn9r.png added
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

Issue found

1)Detail header is missing in print
2)blank page create on print of Summary tab
System

Item Debit Credit Balance Debit Credit Balance

Opening Balance 0.00 0.00 0.00 0.00 0.00 0.00
Matched/Outstanding Net Diffrence Adjusted 0.00 0.00 0.00 0.00 0.00 0.00
Current Balance 0.00 22,000.00 -22000.00 0.00 22,000.00 -22000.00
After To Date Amount 0.00 0.00 -22000.00 0.00 0.00 -22000.00
Not Approved Document Amount 0.00 0.00 -22000.00 0.00 0.00 -22000.00
Not Approved Posting Only Amount (Active 0.00 0.00 -22000.00 0.00 0.00 -22000.00
Documents Only)

Expected Posting(Paid Cheque Control 0.00 0.00 -22000.00 0.00 0.00 -22000.00
Account to Bank)

Projected Balance 0.00 22,000.00 -22000.00 0.00 0.00 -22000.00
Uncleared Paid Cheque 0.00 0.00 -22000.00 0.00 0.00 -22000.00
Printed Date: 25/02/2025 06:18 PM Page: 1/2 Printed By: admin

System

Item Debit Credit Balance Debit Credit Balance

#40 - 02/26/2025 01:19 PM - Augustin Jose
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#41 - 04/10/2025 05:37 PM - Arathy PS

- File clipboard-202504101737-5ufy5.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUND

1. Check why supplier side tax of an invoice is showing like that while doing AP Sharing. Don't make any changes -- discuss with junaid/anil
same case in: supplier SOA, main ledger statement, ledger statement, merged ledger statement etc.
Supplier Statement

Transaction Date” 0, Branch® 2in - Matched & Outstanding &
Supplier | SUPOOT gsp Currency™  Basel(QAR) v Consider Matehing Done After To Date”
Main Ledger . Department . Show Matched Net Difference After OB*
Exclude -
Status® | Active (Pos Active (Docume: - FileNo ~
Show Opening Balance &
Summary = Details
Details List T @ e @
# Date Document No Ticket/Voucher Debit Credit Balance* | Airline/Provider Pax Name Reference Narration Sectc
1 Opening Balance 0.00 0.00 000
2 10/04/2025 INV/001 1000 0.00 15.00 -15.00 51905: 40 Mile Air Aslam ASD/
3 10/04/2025 INV/001 1000 0.00 385.00 -400.00 519Q5: 40 Mile Air Aslam ASD/
4 10/04/2025 INV/003 1300 0.00 147250 -1,872.50 519Q5: 40 Mile Air sase ASD/¥
5 10/04/2025 INV/003 1200 0.00 1,215.00 -3,087.50 165)P:: Adria Airways salim CCIA
6 Closing Balance 0.00 3,087.50 -3,087.50
Files
clipboard-202412112344-ezr3r.png 77 KB 12/11/2024 unnikannan S
